net.sf.jasperreports.components.table.fill

## Class TableReport.ReportBandCreator

- java.lang.Object
- - net.sf.jasperreports.components.table.fill.TableReport.ReportBandCreator

- All Implemented Interfaces:
    ColumnVisitor<java.lang.Void>
  Direct Known Subclasses:
    TableReport.ColumnHeaderCreator, TableReport.DetailBandCreator, TableReport.GroupHeaderCreator, TableReport.ReverseReportBandCreator, TableReport.TitleCreator
  Enclosing class:
    TableReport

      protected abstract class TableReport.ReportBandCreator
      extends java.lang.Object
      implements ColumnVisitor<java.lang.Void>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableReport.ReportBandCreator(TableReport.ReportBandInfo bandInfo, FillColumn fillColumn, int xOffset, int yOffset, int level)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Cell` | `columnCell(Column column)`
    `protected abstract Cell` | `columnGroupCell(ColumnGroup group)`
    `protected JRElement` | `createColumnCell(Column column, JRElementGroup parentGroup, Cell cell)`
    `protected JRElement` | `createColumnCell(Column column, JRElementGroup parentGroup, Cell cell, boolean forceFrame)`
    `protected abstract TableReport.ReportBandCreator` | `createSubVisitor(FillColumn subcolumn, int xOffset, int yOffset, int subLevel)`
    `protected boolean` | `isEmpty(Cell cell)`
    `void` | `visit()`
    `java.lang.Void` | `visitColumn(Column column)`
    `java.lang.Void` | `visitColumnGroup(ColumnGroup columnGroup)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableReport.ReportBandCreator

          public TableReport.ReportBandCreator(TableReport.ReportBandInfo bandInfo,
                                       FillColumn fillColumn,
                                       int xOffset,
                                       int yOffset,
                                       int level)

  - ### Method Detail

    - #### isEmpty

          protected boolean isEmpty(Cell cell)

    - #### visitColumn

          public java.lang.Void visitColumn(Column column)

      Specified by:
        `visitColumn` in interface `ColumnVisitor<java.lang.Void>`

    - #### columnCell

          protected abstract Cell columnCell(Column column)

    - #### createColumnCell

          protected JRElement createColumnCell(Column column,
                                   JRElementGroup parentGroup,
                                   Cell cell)

    - #### createColumnCell

          protected JRElement createColumnCell(Column column,
                                   JRElementGroup parentGroup,
                                   Cell cell,
                                   boolean forceFrame)

    - #### visitColumnGroup

          public java.lang.Void visitColumnGroup(ColumnGroup columnGroup)

      Specified by:
        `visitColumnGroup` in interface `ColumnVisitor<java.lang.Void>`

    - #### columnGroupCell

          protected abstract Cell columnGroupCell(ColumnGroup group)

    - #### createSubVisitor

          protected abstract TableReport.ReportBandCreator createSubVisitor(FillColumn subcolumn,
                                                       int xOffset,
                                                       int yOffset,
                                                       int subLevel)

    - #### visit

          public void visit()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com